s_TutorPushed = false;

function Tutor( Text )
  s_TutorPushed = false;
  TutorText( Text );
  while ( true ) do
    if ( s_TutorPushed ) then
      break;
    end
    coroutine.yield( 1 );
  end
end
